﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace UnivateProperties_API.Model.Users
{
    public class NonRegIndividual : BaseEntity
    {
        public string Name { get; set; }
        public string Surname { get; set; }
        public string IDNumber { get; set; }
        public string CompanyRegNumber { get; set; }
        [DataType(DataType.EmailAddress)]
        public string EmailAddress { get; set; }
        [Phone]
        public string CellNumber { get; set; }
        [Phone]
        public string TelephoneNumber { get; set; }

        [ForeignKey("TimeshareWeek")]
        public int? WeekId { get; set; }
    }
}
